Subject: Ticket Assigned - Order cancelled without contacting customer
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 14 May 2021 07:05:02 +0000

Hi Algaili Abdelbagee Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order cancelled without contacting customer Dear Team in Max,
I hope you are doing fine

I am really upset with the way my latest order was handled.
I have placed an order through your App and payed the money online, then I was supposed to receive it within two days.
No one contacted me I just received email saying that I have rejected the order, and the following day I received email that order was canceled for same reason !!
No one at all tried calling me, other shipping companies will reach out even in whatssup if they have to just to deliver the order.
I want my items as I need them for Eid and was very happy when I ordered them, but now I am quiet upset.
Order number: 9658932216
Mobile number: 0509696800
Please do the needful before Eid

Sent from my iPhone https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2545930